gtk.Bin
Prev | The gtk Class Reference | Next

## gtk.Bin

gtk.Bin — an abstract base class defining a container with just one child.

## Synopsis

    class gtk.Bin(gtk.Container):
        def get_child()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin

## Implemented Interfaces

`gtk.Bin` implements `gtk.Buildable`

## gtk.Bin Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

## gtk.Bin Style Properties

gtk.Widget Style Properties

## gtk.Bin Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

## Attributes

"child" | Read | The child widget or `None` if there is no child.

## Description

`gtk.Bin` is an abstract base class defining a widget that is a container with just one child. It is useful for deriving subclasses, since it provides the common code needed for handling a single child widget. Many PyGTK widgets are subclasses of `gtk.Bin`, including `gtk.Window`, `gtk.Button`, `gtk.Frame`, `gtk.HandleBox`, and `gtk.ScrolledWindow`.

## Methods

### gtk.Bin.get_child

        def get_child()

Returns : | a reference to the child widget

The `get_child`() method returns a reference to the child of the bin, or `None` if the bin contains no child widget.

Prev | Up | Next
gtk.Assistant | Home | gtk.Border